Skip to main content
POST
Get Trades History

Authorizations

API-Key
string
header
required

The "API-Key" header should contain your API key.

API-Sign
string
header
required

Authenticated requests should be signed with the "API-Sign" header, using a signature generated with your private key, nonce, encoded payload, and URI path.

Query Parameters

account_id
string

Public wallet account ID. Omit to use the authenticated user's default wallet. See List Wallet Accounts.

Body

application/json
nonce
integer<int64>
required

Nonce used in construction of API-Sign header

type
enum<string>
default:all

Type of trade

Available options:
all,
any position,
closed position,
closing position,
no position
trades
boolean
default:false

Whether or not to include trades related to position in output

start
integer

Starting unix timestamp or trade tx ID of results (exclusive)

end
integer

Ending unix timestamp or trade tx ID of results (inclusive)

ofs
integer
deprecated

Result offset for pagination. Deprecated, use with_cursor and cursor instead. Must be absent or 0 when with_cursor is true.

without_count
boolean
default:false

If true, does not retrieve count of trades. Request can be noticeably faster for users with many trades as this avoids an extra database query.

consolidate_taker
boolean
default:true

Whether or not to consolidate trades by individual taker trades

ledgers
boolean
default:false

Whether or not to include related ledger ids for given trade
Note that setting this to true will slow request performance

rebase_multiplier
enum<string> | null
default:rebased

Optional parameter for viewing xStocks data.

  • rebased: Display in terms of underlying equity.
  • base: Display in terms of SPV tokens.
Available options:
rebased,
base
aclass
enum<string>
default:forex

Asset class of the pair filter.

Available options:
forex,
equity_pair,
futures_contract,
synthetic_pair,
external_pair
pair
string

Filter results to a single trading pair. An unrecognized pair returns EQuery:Unknown asset pair.

limit
integer
default:50

Number of trades returned per page (1–100). Values above 100 get clamped to 100.

Required range: 1 <= x <= 100
with_cursor
boolean
default:false

Use cursor-based pagination instead of ofs. The response then includes cursor.next when more trades are available.

cursor
string

Opaque pagination token from cursor.next of the previous page. Requires with_cursor.

Response

200 - application/json

Trade history retrieved.

result
TradeHistory · object

Trade History

error
string[]

Kraken API error